Множественные уязвимости в QEMU

Дата публикации:
18.09.2014
Дата изменения:
18.09.2014
Всего просмотров:
681
Опасность:
Низкая
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:L/AC:L/Au:N/C:P/I:N/A:P/E:U/RL:W/RC:C) = Base:3.6/Temporal:2.9
(AV:L/AC:L/Au:N/C:N/I:N/A:P/E:U/RL:W/RC:C) = Base:2.1/Temporal:1.7
CVE ID:
CVE-2014-3615
Вектор эксплуатации:
Локальная
Воздействие:
Отказ в обслуживании
Раскрытие важных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Qemu 1.x
QEMU 2.x
Уязвимые версии:
Qemu 1.x
QEMU 2.x

Описание:
Уязвимости позволяют локальному пользователю получить доступ к важным данным и вызвать отказ в обслуживании.

1. Уязвимость существует из-за ошибки проверки границ данных в функции "vbe_ioport_write_data ()" в файле hw/display/vga.c. Локальный пользователь может раскрыть содержимое памяти и вызвать отказ в обслуживании.

Примечание: Для успешной эксплуатации уязвимости необходимо, чтобы гостевая операционная система была настроена с определенным разрешением дисплея.

2. Уязвимость существует из-за ошибки проверки границ данных, связанных с протоколом SPICE. Локальный пользователь может вызвать отказ в обслуживании.

URL производителя: http://wiki.qemu.org/Main_Page

Решение: Установите исправление из GIT репозитория.

Ссылки: https://marc.info/?l=oss-security&m=141016020530846